aboutsummaryrefslogtreecommitdiff
path: root/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/script.sh')
-rwxr-xr-xci/script.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/ci/script.sh b/ci/script.sh
new file mode 100755
index 0000000000..a59c40cd2d
--- /dev/null
+++ b/ci/script.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+# This will pass the environment variables down to a bash process which runs
+# as $USER, while retaining the environment variables defined and belonging
+# to secondary groups given above in usermod.
+if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
+ sudo -E su "${USER}" -c "ci/run_${CI_TARGET}.sh"
+else
+ ci/run_${CI_TARGET}.sh
+fi